Evolution-Data-Server Manual: Private: org.gnome.evolution.dataserver.AddressBook

## org.gnome.evolution.dataserver.AddressBook org.gnome.evolution.dataserver.AddressBook — Address book objects |

## Methods

    Open               ();
    Close              ();
    Refresh            ();
    CreateContacts     (IN  as vcards,
                        OUT as uids);
    ModifyContacts     (IN  as vcards);
    RemoveContacts     (IN  as uids);
    GetContact         (IN  s  uid,
                        OUT s  vcard);
    GetContactList     (IN  s  query,
                        OUT as vcards);
    GetContactListUids (IN  s  query,
                        OUT as uids);
    GetView            (IN  s  query,
                        OUT o  object_path);
    GetCursor          (IN  s  query,
                        IN  as sort_keys,
                        IN  as sort_types,
                        OUT o  object_path);

## Signals

    Error (s error_message);

## Properties

    Online           readable   b
    Revision         readable   s
    Locale           readable   s
    Writable         readable   b
    CacheDir         readable   s
    Capabilities     readable   as
    RequiredFields   readable   as
    SupportedFields  readable   as

## Description

This interface allows for interaction with an address book backend.

Since 3.8

## Method Details

### The Open() method

    Open ();

Since 3.8

### The Close() method

    Close ();

Since 3.8

### The Refresh() method

    Refresh ();

Since 3.8

### The CreateContacts() method

    CreateContacts (IN  as vcards,
                    OUT as uids);

`IN as `vcards``: |
`OUT as `uids``: |

Since 3.8

### The ModifyContacts() method

    ModifyContacts (IN  as vcards);

`IN as `vcards``: |

Since 3.8

### The RemoveContacts() method

    RemoveContacts (IN  as uids);

`IN as `uids``: |

Since 3.8

### The GetContact() method

    GetContact (IN  s uid,
                OUT s vcard);

`IN s `uid``: |
`OUT s `vcard``: |

Since 3.8

### The GetContactList() method

    GetContactList (IN  s  query,
                    OUT as vcards);

`IN s `query``: |
`OUT as `vcards``: |

Since 3.8

### The GetContactListUids() method

    GetContactListUids (IN  s  query,
                        OUT as uids);

`IN s `query``: |
`OUT as `uids``: |

Since 3.8

### The GetView() method

    GetView (IN  s query,
             OUT o object_path);

`IN s `query``: |
`OUT o `object_path``: |

Since 3.8

### The GetCursor() method

    GetCursor (IN  s  query,
               IN  as sort_keys,
               IN  as sort_types,
               OUT o  object_path);

`IN s `query``: |
`IN as `sort_keys``: |
`IN as `sort_types``: |
`OUT o `object_path``: |

Since 3.8

## Signal Details

### The "Error" signal

    Error (s error_message);

`s `error_message``: |

Since 3.8

## Property Details

### The "Online" property

    Online  readable   b

Since 3.8

### The "Revision" property

    Revision  readable   s

Since 3.8

### The "Locale" property

    Locale  readable   s

Since 3.8

### The "Writable" property

    Writable  readable   b

Since 3.8

### The "CacheDir" property

    CacheDir  readable   s

Since 3.8

### The "Capabilities" property

    Capabilities  readable   as

Since 3.8

### The "RequiredFields" property

    RequiredFields  readable   as

Since 3.8

### The "SupportedFields" property

    SupportedFields  readable   as

Since 3.8